A `LocationServices` that uses the browser hash "#" to get/set the current location

### Hierarchy

- BaseLocationServices
  - HashLocationService

### Implements

- LocationServices
- Disposable

## Index

### Constructors

- constructor

### Properties

- _history
- _location
- fireAfterUpdate

### Methods

- _get
- _listener
- _set
- dispose
- hash
- onChange
- path
- search
- url

## Constructors

- new HashLocationService(router: UIRouter): HashLocationService

- #### Parameters

  - ##### router UIRouter

  #### Returns HashLocationService

  Overwrites BaseLocationServices.constructor

  - Defined in vanilla/hashLocationService.ts:11

## Properties

_history: HistoryLike

Inherited from BaseLocationServices._history

- Defined in vanilla/baseLocationService.ts:16

_location: LocationLike

Inherited from BaseLocationServices._location

- Defined in vanilla/baseLocationService.ts:15

fireAfterUpdate: boolean

Inherited from BaseLocationServices.fireAfterUpdate

- Defined in vanilla/baseLocationService.ts:20

## Methods

- _get(): string

- #### Returns string

  Overwrites BaseLocationServices._get

  - Defined in vanilla/hashLocationService.ts:17

- _listener(evt: any): void

- #### Parameters

  - ##### evt any

  #### Returns void

  Inherited from BaseLocationServices._listener

  - Defined in vanilla/baseLocationService.ts:18

- _set(state: any, title: string, url: string, replace: boolean): void

- #### Parameters

  - ##### state any

  - ##### title string

  - ##### url string

  - ##### replace boolean

  #### Returns void

  Overwrites BaseLocationServices._set

  - Defined in vanilla/hashLocationService.ts:20

- dispose(router: UIRouter): void

- #### Parameters

  - ##### router UIRouter

  #### Returns void

  Implementation of Disposable.dispose

  Overwrites BaseLocationServices.dispose

  - Defined in vanilla/hashLocationService.ts:24

- hash(): any

- #### Returns any

  Implementation of LocationServices.hash

  Inherited from BaseLocationServices.hash

  - Defined in vanilla/baseLocationService.ts:52

- onChange(cb: EventListener): (Anonymous function)

- #### Parameters

  - ##### cb EventListener

  #### Returns (Anonymous function)

  Implementation of LocationServices.onChange

  Inherited from BaseLocationServices.onChange

  - Defined in vanilla/baseLocationService.ts:68

- path(): any

- #### Returns any

  Implementation of LocationServices.path

  Inherited from BaseLocationServices.path

  - Defined in vanilla/baseLocationService.ts:53

- search(): any

- #### Returns any

  Implementation of LocationServices.search

  Inherited from BaseLocationServices.search

  - Defined in vanilla/baseLocationService.ts:54

- url(url?: string, replace?: boolean): string

- #### Parameters

  - ##### url: Optional string

  - ##### replace: Default value boolean = true

  #### Returns string

  Inherited from BaseLocationServices.url

  - Defined in vanilla/baseLocationService.ts:56

Generated using TypeDoc